plugin: community.general.proxmox
token_id: "{{ lookup('ansible.builtin.env', 'ANSIBLE_proxmox_api_token_id') | regex_replace('.*!', '') }}"
user: "{{ lookup('ansible.builtin.env', 'ANSIBLE_proxmox_api_token_id') | regex_replace('!.*', '') }}"
token_secret: "{{ lookup('ansible.builtin.env', 'ANSIBLE_proxmox_api_token_secret') }}"
url: "{{ lookup('ansible.builtin.env', 'ANSIBLE_proxmox_api_url') }}"
validate_certs: false
want_facts: true
exclude_nodes: true
keyed_groups:
  - key: proxmox_tags_parsed
    separator: ""
compose:
  ansible_host: proxmox_ipconfig0.ip | string | regex_replace('/.*', '')
  ansible_user: '"ansible"'